Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.persistence
Class TaskTransactionInterceptor

    java.lang.Object
      org.drools.core.command.impl.AbstractInterceptor
          org.jbpm.services.task.persistence.TaskTransactionInterceptor

All Implemented Interfaces:
  org.drools.core.command.CommandService, org.drools.core.command.Interceptor, CommandExecutor

    public class TaskTransactionInterceptor

extends org.drools.core.command.impl.AbstractInterceptor

Constructor Summary
`TaskTransactionInterceptor(Environment environment)`

Method Summary
`void` | `addInterceptor(org.drools.core.command.Interceptor interceptor)`
`
`<T> T`
` | `execute(Command<T> command)` Execute the command and return a ExecutionResults for the results of the Command.
`org.kie.internal.command.Context` | `getContext()`
`void` | `initTransactionManager(Environment env)`
`boolean` | `isSpringTransactionManager(Class<?> clazz)`

Methods inherited from class org.drools.core.command.impl.AbstractInterceptor
`executeNext, getNext, setNext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskTransactionInterceptor

    public TaskTransactionInterceptor(Environment environment)

Method Detail

### execute

    public <T> T execute(Command<T> command)

  Description copied from interface: `CommandExecutor`
  Execute the command and return a ExecutionResults for the results of the Command.

  Returns:

### addInterceptor

    public void addInterceptor(org.drools.core.command.Interceptor interceptor)

### getContext

    public org.kie.internal.command.Context getContext()

  Specified by:
    `getContext` in interface `org.drools.core.command.CommandService`
  Overrides:
    `getContext` in class `org.drools.core.command.impl.AbstractInterceptor`

### initTransactionManager

    public void initTransactionManager(Environment env)

### isSpringTransactionManager

    public boolean isSpringTransactionManager(Class<?> clazz)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.2.0.CR3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.